AviatoAviato
DeveloperAPI ReferenceAuthMe

/api/auth/me

GET
/api/auth/me

Response Body

application/json

curl -X GET "https://example.com/api/auth/me"
{
  "user": {
    "id": "string",
    "username": "string",
    "displayName": "string",
    "role": "admin",
    "publicKey": "string",
    "libraryAccess": [
      {
        "libraryId": "string",
        "maxRating": "string"
      }
    ],
    "enabled": true,
    "createdAt": "string",
    "lastLoginAt": "string"
  },
  "activeProfile": {
    "id": "string",
    "userId": "string",
    "name": "string",
    "avatarUrl": "string",
    "libraryAccess": [
      {
        "libraryId": "string",
        "maxRating": "string"
      }
    ],
    "isDefault": true,
    "hasPin": true,
    "createdAt": "string",
    "updatedAt": "string"
  },
  "setupRequired": true
}